コンテンツにスキップ
トレカクラウド
Esc
↑↓移動↵開く⌘Jプレビュー

移動中の個体を受け取る

移動先拠点の有効な棚を指定します。inventoryItemIds省略時は移動中の全件。受取済みの再指定は変更せず、返却済みは拒否します。 inventory:readに加え、この操作のスコープと許可したメンバーのinventory.write権限が必要です。

POST/inventory/transfers/{id}/receive
認証
AuthorizationOAuth2 アクセストークン · header必須

認可コードフロー(PKCE S256 必須)。認可・トークン・更新のリクエストには resource=https://api.toreca-cloud.com/partner/v1 を付けます。アクセストークンは15分、リフレッシュトークンは90日有効で、更新のたびに入れ替わります。

スコープ:inventory:readinventory:move
パスパラメーター
idstring<uuid>必須
リクエストボディ
必須application/json
toLocationIdstring<uuid>必須
inventoryItemIdsstring<uuid>[]
最小項目数 1 · 最大項目数 200
レスポンス
200

成功

idstring<uuid>必須
createdAtstring<date-time>必須
updatedAtstring<date-time>必須
transferNumberstring必須
statusstring必須
許可される値:in_transitcompletedcancelled
versioninteger必須
fromSiteIdstring<uuid>必須
toSiteIdstring<uuid>必須
carrierstring | null必須
プロパティを表示
いずれか 1 つ:
string
string
null
null
trackingNumberstring | null必須
プロパティを表示
いずれか 1 つ:
string
string
null
null
reasonstring必須
externalRefstring | null必須
プロパティを表示
いずれか 1 つ:
string
string
null
null
shippedAtstring<date-time>必須
completedAtstring<date-time> | null必須
プロパティを表示
いずれか 1 つ:
string<date-time>
string<date-time>
null
null
itemsobject[]必須
プロパティを表示
object の配列
inventoryItemIdstring<uuid>必須
assetNumberstring必須
statusstring必須
許可される値:in_transitreceivedreturned
fromLocationIdstring<uuid>必須
toLocationIdstring<uuid> | null必須
プロパティを表示
いずれか 1 つ:
string<uuid>
string<uuid>
null
null
resolvedAtstring<date-time> | null必須
プロパティを表示
いずれか 1 つ:
string<date-time>
string<date-time>
null
null
400

invalid_request。パラメーターが正しくありません。

errorstring必須

エラーのコード

scopestring

insufficient_scope のとき、足りない権限

requestIdstring<uuid>
inventoryItemIdsstring<uuid>[]
holdIdsstring<uuid>[]
commitmentIdsstring<uuid>[]
401

invalid_token。トークンがない、期限切れ、または別のリソース向けです。

errorstring必須

エラーのコード

scopestring

insufficient_scope のとき、足りない権限

requestIdstring<uuid>
inventoryItemIdsstring<uuid>[]
holdIdsstring<uuid>[]
commitmentIdsstring<uuid>[]
403

insufficient_scope、connection_revoked、client_disabled、forbidden のいずれかです。

errorstring必須

エラーのコード

scopestring

insufficient_scope のとき、足りない権限

requestIdstring<uuid>
inventoryItemIdsstring<uuid>[]
holdIdsstring<uuid>[]
commitmentIdsstring<uuid>[]
404

not_found

errorstring必須

エラーのコード

scopestring

insufficient_scope のとき、足りない権限

requestIdstring<uuid>
inventoryItemIdsstring<uuid>[]
holdIdsstring<uuid>[]
commitmentIdsstring<uuid>[]
409

競合・requestIdの流用・受取未確認

errorstring必須

エラーのコード

scopestring

insufficient_scope のとき、足りない権限

requestIdstring<uuid>
inventoryItemIdsstring<uuid>[]
holdIdsstring<uuid>[]
commitmentIdsstring<uuid>[]
422

現在の状態・対象・値では実行できません。errorと対象IDを確認します。

errorstring必須

エラーのコード

scopestring

insufficient_scope のとき、足りない権限

requestIdstring<uuid>
inventoryItemIdsstring<uuid>[]
holdIdsstring<uuid>[]
commitmentIdsstring<uuid>[]
試してみる
サーバー
認証
パラメーター
ボディapplication/json
リクエスト
curl -X POST 'https://api.toreca-cloud.com/partner/v1/inventory/transfers/497f6eca-6276-4993-bfeb-53cbbbba6f08/receive' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "toLocationId": "e81ad314-9cb9-45ae-9ad9-f1b5ebcc7aae",
  "inventoryItemIds": [
    "497f6eca-6276-4993-bfeb-53cbbbba6f08"
  ]
}'
レスポンス
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "transferNumber": "string",
  "status": "in_transit",
  "version": 0,
  "fromSiteId": "33a55c88-1ae8-426c-bfdd-0fd03c0d6ee1",
  "toSiteId": "80101396-c399-408c-88ad-cd8029268567",
  "carrier": "string",
  "trackingNumber": "string",
  "reason": "string",
  "externalRef": "string",
  "shippedAt": "2019-08-24T14:15:22Z",
  "completedAt": "2019-08-24T14:15:22Z",
  "items": [
    {
      "inventoryItemId": "ef1bc09e-447a-46aa-a9d9-d86e3d490831",
      "assetNumber": "string",
      "status": "in_transit",
      "fromLocationId": "178bb398-90d2-4fc3-a4a0-37fc0eed2806",
      "toLocationId": "e81ad314-9cb9-45ae-9ad9-f1b5ebcc7aae",
      "resolvedAt": "2019-08-24T14:15:22Z"
    }
  ]
}

このページは役に立ちましたか?